Package org.kie.internal.runtime.conf

# Class ForceEagerActivationOption

java.lang.Object
org.kie.internal.runtime.conf.ForceEagerActivationOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KieSessionOption`, `SingleValueKieSessionOption`, `SingleValueRuleRuntimeOption`

Direct Known Subclasses:
  `ForceEagerActivationOption.FILTERED`

public class ForceEagerActivationOption extends Object implements SingleValueRuleRuntimeOption
Option to force evaluation and then activation of rules annotated with @Eager.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ForceEagerActivationOption.FILTERED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<ForceEagerActivationOption>`
  `KEY`
  `static final ForceEagerActivationOption`
  `NO`
  `static final String`
  `PROPERTY_NAME`
  `static final ForceEagerActivationOption`
  `YES`

  ### Fields inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ForceEagerActivationFilter`
  `getFilter()`
  `String`
  `getPropertyName()`
  `static ForceEagerActivationOption`
  `resolve(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.api.runtime.conf.SingleValueRuleRuntimeOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<ForceEagerActivationOption> KEY

  - ### YES

    public static final ForceEagerActivationOption YES

  - ### NO

    public static final ForceEagerActivationOption NO

- ## Method Details

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### getFilter

    public ForceEagerActivationFilter getFilter()

  - ### resolve

    public static ForceEagerActivationOption resolve(String value)